Show / Hide Table of Contents

# Struct BalloonInfo

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct BalloonInfo

### Fields

| Improve this Doc View Source

#### BalloonId

##### Declaration

    public int BalloonId

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CameraDistance

##### Declaration

    public float CameraDistance

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Character

##### Declaration

    public Character*Character

##### Field Value

Type | Description
--- | ---
Character* |

| Improve this Doc View Source

#### FormattedText

##### Declaration

    public Utf8String FormattedText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### ObjectId

##### Declaration

    public GameObjectID ObjectId

##### Field Value

Type | Description
--- | ---
GameObjectID |

| Improve this Doc View Source

#### OriginalText

##### Declaration

    public Utf8String OriginalText

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Slot

##### Declaration

    public byte Slot

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Type

##### Declaration

    public BalloonType Type

##### Field Value

Type | Description
--- | ---
BalloonType |

| Improve this Doc View Source

#### UnknownByteEA

##### Declaration

    public byte UnknownByteEA

##### Field Value

Type | Description
--- | ---
System.Byte |